เกี่ยวกับเนื้อหาความปลอดภัยของ OS X Server 3.1.2

เอกสารนี้จะอธิบายเกี่ยวกับเนื้อหาความปลอดภัยของ OS X Server 3.1.2

เพื่อเป็นการป้องกันลูกค้าของเรา Apple จะไม่เปิดเผย อภิปรายหรือยืนยันปัญหาด้านความปลอดภัยจนกว่าจะมีการสืบสวนโดยละเอียดและมีโปรแกรมปะแก้ที่จำเป็นหรือมีการวางจำหน่าย หากต้องการเรียนรู้เพิ่มเติมเกี่ยวกับความปลอดภัยของผลิตภัณฑ์ Apple โปรดดูที่เว็บไซต์ การรักษาความปลอดภัยของผลิตภัณฑ์ Apple

สำหรับข้อมูลเกี่ยวกับ PGP Key สำหรับความปลอดภัยของผลิตภัณฑ์ Apple โปรดดู "วิธีใช้ PGP Key สำหรับความปลอดภัยของผลิตภัณฑ์ Apple"

เมื่อเป็นไปได้ จะใช้ CVE ID เพื่ออ้างอิงเกี่ยวกับข้อมูลเพิ่มเติมเรื่องช่องโหว่ต่างๆ

เพื่อเรียนรู้เกี่ยวกับการอัปเดตความปลอดภัยอื่นๆ โปรดดู "การอัปเดตความปลอดภัยของ Apple"

OS X Server 3.1.2

  • Ruby

    มีให้บริการสำหรับ: OS X Mavericks v10.9.3 ขึ้นไป

    ผลกระทบ: การเรียกใช้สคริปต์ Ruby ที่ใช้ข้อมูลเข้าที่ไว้ใจไม่ได้เพื่อสร้างวัตถุลอยตัวอาจทำให้แอปพลิเคชันค้างหรือการนำรหัสมาใช้โดยอำเภอใจ

    คำอธิบาย: มีปัญหาบัฟเฟอร์ล้นแบบพอกพูนใน Ruby เมื่อแปลงสตริงเป็นค่าจำนวนจุดลอยตัว ผู้โจมตีสามารถส่งคำร้องขอที่ออกแบบมาเป็นพิเศษไปยัง Profile Manager หรือไปยังสคริปต์ Ruby ซึ่งอาจทำให้แอปพลิเคชันค้างหรือการนำรหัสมาใช้โดยอำเภอใจ ปัญหานี้แก้ไขได้ผ่านการตรวจสอบค่าจำนวนจุดลอยตัวเพิ่มเติม

    CVE-ID

    CVE-2013-4164

ข้อมูลเกี่ยวกับผลิตภัณฑ์ที่ไม่ได้ผลิตโดย Apple หรือเว็บไซต์อิสระที่ไม่ได้ควบคุมหรือทดสอบโดย Apple มีให้โดยไม่มีคำแนะนำหรือการรับรองใดๆ Apple ไม่ขอรับผิดชอบในส่วนที่เกี่ยวกับการเลือก ประสิทธิภาพ หรือการใช้งานเว็บไซต์หรือผลิตภัณฑ์ของบริษัทอื่น Apple ไม่รับรองความถูกต้องหรือความน่าเชื่อถือของเว็บไซต์ของบริษัทอื่น ความเสี่ยงต่างๆ ในการใช้งานอินเทอร์เน็ตถือเป็นเรื่องปกติที่เกิดขึ้นได้ ติดต่อผู้จำหน่ายสำหรับข้อมูลเพิ่มเติม ชื่อบริษัทและชื่อผลิตภัณฑ์อื่นอาจเป็นเครื่องหมายการค้าของเจ้าของแต่ละราย

วันที่เผยแพร่: